#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=redonda2.33_base.ps
projection=-JM16.0c+
region=-R-62.5/-61.9/16.7/17.2
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map redonda2.33' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/f10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    17.044   -62.270
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    17.011   -62.293
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    17.013   -62.292
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    16.985   -62.361
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    17.029   -62.248
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    16.987   -62.306
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    17.028   -62.281
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    17.012   -62.338
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    16.978   -62.392
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    17.007   -62.336
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    17.021   -62.322
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    16.968   -62.363
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    17.049   -62.157
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    17.096   -62.407
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    17.112   -62.350
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    17.024   -62.228
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    17.019   -62.255
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    17.011   -62.204
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    17.001   -62.237
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    17.047   -62.336
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    17.020   -62.266
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    17.018   -62.222
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    17.033   -62.260
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    17.012   -62.268
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    17.030   -62.390
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    16.757   -61.955
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    17.002   -62.349
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    17.056   -62.352
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    17.051   -62.338
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    17.027   -62.371
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    16.990   -62.261
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    17.033   -62.289
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    17.136   -62.225
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    17.102   -62.162
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    17.125   -62.210
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    17.134   -62.254
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    17.120   -62.207
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    16.851   -62.266
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    17.088   -62.053
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    17.084   -62.103
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.043   -62.269
    17.044   -62.270
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.981   -62.458
    17.044   -62.270
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.010   -62.290
    17.011   -62.293
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.073   -62.360
    17.011   -62.293
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.013   -62.290
    17.013   -62.292
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.972   -62.408
    17.013   -62.292
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.984   -62.358
    16.985   -62.361
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.921   -62.415
    16.985   -62.361
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.031   -62.248
    17.029   -62.248
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.087   -62.343
    17.029   -62.248
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.987   -62.306
    16.987   -62.306
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.057   -62.422
    16.987   -62.306
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.027   -62.278
    17.028   -62.281
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.115   -62.384
    17.028   -62.281
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.014   -62.338
    17.012   -62.338
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.010   -62.434
    17.012   -62.338
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.977   -62.395
    16.978   -62.392
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.062   -62.422
    16.978   -62.392
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.006   -62.335
    17.007   -62.336
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.028   -62.379
    17.007   -62.336
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.020   -62.322
    17.021   -62.322
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.890   -62.582
    17.021   -62.322
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.962   -62.358
    16.968   -62.363
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.050   -62.421
    16.968   -62.363
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.050   -62.158
    17.049   -62.157
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.070   -62.250
    17.049   -62.157
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.101   -62.412
    17.096   -62.407
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.092   -62.407
    17.096   -62.407
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.111   -62.350
    17.112   -62.350
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.117   -62.408
    17.112   -62.350
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.023   -62.229
    17.024   -62.228
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.006   -62.329
    17.024   -62.228
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.013   -62.249
    17.019   -62.255
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.982   -62.274
    17.019   -62.255
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.012   -62.206
    17.011   -62.204
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.997   -62.249
    17.011   -62.204
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.001   -62.239
    17.001   -62.237
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.986   -62.267
    17.001   -62.237
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.045   -62.334
    17.047   -62.336
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.010   -62.363
    17.047   -62.336
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.020   -62.260
    17.020   -62.266
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.998   -62.288
    17.020   -62.266
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.016   -62.224
    17.018   -62.222
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.990   -62.253
    17.018   -62.222
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.034   -62.258
    17.033   -62.260
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.026   -62.266
    17.033   -62.260
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.012   -62.265
    17.012   -62.268
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.013   -62.309
    17.012   -62.268
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.033   -62.391
    17.030   -62.390
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.994   -62.396
    17.030   -62.390
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.761   -61.955
    16.757   -61.955
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.881   -62.048
    16.757   -61.955
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.000   -62.350
    17.002   -62.349
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.979   -62.415
    17.002   -62.349
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.049   -62.356
    17.056   -62.352
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.052   -62.348
    17.056   -62.352
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.056   -62.334
    17.051   -62.338
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.003   -62.411
    17.051   -62.338
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.017   -62.378
    17.027   -62.371
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.003   -62.404
    17.027   -62.371
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.989   -62.262
    16.990   -62.261
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.038   -62.249
    16.990   -62.261
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.033   -62.291
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.084   -62.272
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.135   -62.229
    17.136   -62.225
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.177   -62.219
    17.136   -62.225
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.101   -62.156
    17.102   -62.162
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.167   -62.131
    17.102   -62.162
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.124   -62.211
    17.125   -62.210
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.192   -62.198
    17.125   -62.210
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.141   -62.251
    17.134   -62.254
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.175   -62.245
    17.134   -62.254
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.119   -62.211
    17.120   -62.207
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.164   -62.210
    17.120   -62.207
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    16.849   -62.269
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    16.868   -62.228
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.091   -62.054
    17.088   -62.053
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.097   -62.048
    17.088   -62.053
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    17.094   -62.106
    17.084   -62.103
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    17.089   -62.122
    17.084   -62.103
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    17.044   -62.270   -14.746     1.200     1.552
    17.011   -62.293   -28.330     2.806     5.402
    17.013   -62.292   -32.554     1.757     3.643
    16.985   -62.361   -30.243     2.868     4.985
    17.029   -62.248   -11.862     2.023     3.118
    16.987   -62.306     0.105     2.638     3.855
    17.028   -62.281    26.813     3.988     7.075
    17.012   -62.338    26.468     2.776     4.746
    16.978   -62.392   -25.806     3.076     7.006
    17.007   -62.336     5.341     2.082     2.574
    17.021   -62.322   -20.249     1.385     1.720
    16.968   -62.363    23.360     3.229     9.070
    17.049   -62.157     2.220     2.540     5.045
    17.096   -62.407    40.410     3.260     5.674
    17.112   -62.350     0.375     2.376     3.161
    17.024   -62.228   -20.386     1.266     1.703
    17.019   -62.255    28.897     2.514     6.982
    17.011   -62.204   -22.996     3.681     5.839
    17.001   -62.237   -40.687     1.817     4.318
    17.047   -62.336   -32.886     1.392     1.830
    17.020   -62.266   -38.224     2.039     2.571
    17.018   -62.222   -48.996     2.760     5.974
    17.033   -62.260   -20.410     1.453     2.193
    17.012   -62.268   -40.051     1.815     2.663
    17.030   -62.390   -47.828     1.925     3.804
    16.757   -61.955   -44.208     2.436     5.190
    17.002   -62.349   -50.473     1.933     5.538
    17.056   -62.352   -48.152     1.666     5.353
    17.051   -62.338   -47.902     1.118     3.545
    17.027   -62.371   -44.784     1.810     8.847
    16.990   -62.261   -45.673     2.294     7.083
    17.033   -62.289   -41.830     1.287     2.441
    17.136   -62.225    15.480     2.839     4.416
    17.102   -62.162    -0.181     2.520     3.483
    17.125   -62.210   -52.083     1.649     2.234
    17.134   -62.254   -51.526     2.788     7.318
    17.120   -62.207   -55.527     1.575     2.450
    16.851   -62.266   -14.140     1.833     2.854
    17.088   -62.053    19.081     2.016     2.655
    17.084   -62.103   -62.075     2.045     4.034
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    16.711   -62.455   -84.318     1.293     2.170
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    16.711   -62.433   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    16.711   -62.455     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    16.711   -62.455     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    16.666   -62.455   5 km
END
