#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=redonda2.33_dcal.ps
projection=-JM16.0c+
region=-R-64.4/-60.0/14.9/19.0
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration redonda2.33' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/f10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.044   -62.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.044   -62.270
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.011   -62.293
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.011   -62.293
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.011   -62.293
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.013   -62.292
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.013   -62.292
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.013   -62.292
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    16.985   -62.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    16.985   -62.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.347   -62.840
    16.985   -62.361
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.029   -62.248
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.029   -62.248
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.029   -62.248
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    16.987   -62.306
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    16.987   -62.306
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    16.987   -62.306
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.028   -62.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.028   -62.281
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.012   -62.338
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.012   -62.338
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    16.978   -62.392
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    16.978   -62.392
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.007   -62.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.007   -62.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.007   -62.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.007   -62.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.021   -62.322
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.021   -62.322
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.021   -62.322
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    16.968   -62.363
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    16.968   -62.363
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    16.968   -62.363
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.049   -62.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.049   -62.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.347   -62.840
    17.096   -62.407
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.096   -62.407
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.096   -62.407
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.112   -62.350
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.112   -62.350
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.112   -62.350
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.024   -62.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.024   -62.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.024   -62.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.024   -62.228
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.019   -62.255
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.019   -62.255
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.019   -62.255
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.019   -62.255
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.011   -62.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.011   -62.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.011   -62.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.011   -62.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.011   -62.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.001   -62.237
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.001   -62.237
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.001   -62.237
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.001   -62.237
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.047   -62.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.047   -62.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.047   -62.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.047   -62.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.047   -62.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.047   -62.336
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.020   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.020   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.020   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.020   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.020   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.018   -62.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.018   -62.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.018   -62.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.018   -62.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.033   -62.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.033   -62.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.033   -62.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.033   -62.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.033   -62.260
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.012   -62.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.012   -62.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.012   -62.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.012   -62.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.030   -62.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.030   -62.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.720   -62.216
    17.030   -62.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.741   -62.163
    17.030   -62.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.030   -62.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.030   -62.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.030   -62.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.030   -62.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.030   -62.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.155   -61.830
    17.030   -62.390
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.742   -62.191
    16.757   -61.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.704   -62.153
    16.757   -61.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.704   -62.153
    16.757   -61.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    16.757   -61.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    16.757   -61.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.687   -62.160
    16.757   -61.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.732   -62.228
    16.757   -61.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.732   -62.228
    16.757   -61.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    16.757   -61.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    16.757   -61.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.811   -62.196
    17.002   -62.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.732   -62.228
    17.002   -62.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.742   -62.191
    17.002   -62.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.002   -62.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.002   -62.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.002   -62.349
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.811   -62.196
    17.056   -62.352
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.732   -62.228
    17.056   -62.352
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.742   -62.191
    17.056   -62.352
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.056   -62.352
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.056   -62.352
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.056   -62.352
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.056   -62.352
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.056   -62.352
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.056   -62.352
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.051   -62.338
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.051   -62.338
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.051   -62.338
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.027   -62.371
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.027   -62.371
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.811   -62.196
    16.990   -62.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.742   -62.191
    16.990   -62.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.732   -62.228
    16.990   -62.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    16.990   -62.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    16.990   -62.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    16.990   -62.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.704   -62.153
    16.990   -62.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    16.990   -62.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    16.990   -62.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    16.990   -62.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    16.990   -62.261
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.742   -62.191
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.742   -62.191
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.732   -62.228
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.732   -62.228
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.725   -62.162
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.725   -62.162
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.698   -62.203
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.704   -62.153
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.704   -62.153
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.033   -62.289
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.136   -62.225
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.136   -62.225
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.136   -62.225
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.669   -61.786
    17.136   -62.225
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.669   -61.786
    17.136   -62.225
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.102   -62.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.102   -62.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.669   -61.786
    17.102   -62.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.669   -61.786
    17.102   -62.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.125   -62.210
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.125   -62.210
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.125   -62.210
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.125   -62.210
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.669   -61.786
    17.125   -62.210
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.669   -61.786
    17.125   -62.210
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.134   -62.254
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.134   -62.254
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.669   -61.786
    17.134   -62.254
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.120   -62.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    17.120   -62.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.120   -62.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.120   -62.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.120   -62.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.120   -62.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.120   -62.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.669   -61.786
    17.120   -62.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.669   -61.786
    17.120   -62.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.742   -62.191
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.742   -62.191
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.732   -62.228
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.732   -62.228
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.725   -62.162
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.725   -62.162
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.725   -62.162
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.725   -62.162
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.698   -62.203
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.698   -62.203
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.704   -62.153
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.704   -62.153
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.704   -62.153
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.704   -62.153
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.136   -62.571
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.117   -62.617
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.184   -62.600
    16.851   -62.266
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.088   -62.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.088   -62.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.112   -61.830
    17.088   -62.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048   -61.765
    17.088   -62.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048   -61.765
    17.088   -62.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.749   -62.212
    17.088   -62.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.749   -62.212
    17.088   -62.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.088   -62.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.088   -62.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.669   -61.786
    17.088   -62.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.669   -61.786
    17.088   -62.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.084   -62.103
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.046   -61.857
    17.084   -62.103
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048   -61.765
    17.084   -62.103
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.048   -61.765
    17.084   -62.103
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.749   -62.212
    17.084   -62.103
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.749   -62.212
    17.084   -62.103
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.084   -62.103
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    16.721   -62.191
    17.084   -62.103
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.084   -62.103
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.333   -62.739
    17.084   -62.103
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.669   -61.786
    17.084   -62.103
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    17.046   -61.857     0.300
    17.155   -61.830     0.300
    17.136   -62.571     0.300
    16.720   -62.216     0.300
    17.347   -62.840     0.300
    17.333   -62.739     0.300
    16.741   -62.163     0.300
    16.742   -62.191     0.300
    16.704   -62.153     0.300
    16.721   -62.191     0.300
    16.687   -62.160     0.300
    16.732   -62.228     0.300
    16.811   -62.196     0.300
    16.725   -62.162     0.300
    16.698   -62.203     0.300
    17.669   -61.786     0.300
    16.725   -62.162     0.300
    16.704   -62.153     0.300
    17.117   -62.617     0.300
    17.184   -62.600     0.300
    17.112   -61.830     0.300
    17.048   -61.765     0.300
    16.749   -62.212     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.044   -62.270     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.011   -62.293     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.013   -62.292     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.985   -62.361     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.029   -62.248     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.987   -62.306     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.028   -62.281     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.012   -62.338     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.978   -62.392     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.007   -62.336     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.021   -62.322     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.968   -62.363     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.049   -62.157     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.096   -62.407     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.112   -62.350     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.024   -62.228     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.019   -62.255     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.011   -62.204     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.001   -62.237     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.047   -62.336     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.020   -62.266     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.018   -62.222     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.033   -62.260     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.012   -62.268     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.030   -62.390     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.757   -61.955     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.002   -62.349     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.056   -62.352     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.051   -62.338     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.027   -62.371     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.990   -62.261     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.033   -62.289     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.136   -62.225     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.102   -62.162     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.125   -62.210     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.134   -62.254     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.120   -62.207     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    16.851   -62.266     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.088   -62.053     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.084   -62.103     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    17.028   -62.269     0.000   222.000   222.000
    17.028   -62.269     0.000   444.000   444.000
END
