#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=redonda2.33_epa_1.ps
projection=-JM16.0c+
region=-R-78.2/-46.2/1.7/32.2
gmt psbasemap $region $projection -Bxa5.0f1.0 -Bya5.0f1.0 -BWeSn+t'Empirical Path Anomalies: Pn redonda2.33' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/ETOPO/etopo2.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -M -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    17.028   297.731     0.300
END
# Station symbols
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    15.990   298.281    -0.118
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    15.918   298.683    -0.023
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    15.318   298.608    -0.063
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    14.733   298.850    -0.061
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    14.754   299.085    -0.055
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    14.517   298.929    -0.099
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    14.555   299.104    -0.025
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    14.020   299.062    -0.070
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    13.828   298.959    -0.044
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.037   294.085    -0.276
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.112   293.850    -0.230
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    13.373   298.851     0.119
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    13.318   298.784     0.007
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    13.272   298.748    -0.087
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    13.296   298.873     0.039
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    11.177   299.202     0.251
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    10.697   298.247     0.096
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    10.648   298.597     0.240
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    10.465   295.830     0.032
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    10.507   293.072    -0.263
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
     7.809   296.903    -0.132
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
     9.792   290.207    -0.360
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
     8.886   289.367    -0.269
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.074   283.272    -0.529
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.005   283.251    -0.206
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.077   283.191    -0.287
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    16.253   298.803    -0.070
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    16.030   298.320    -0.164
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    13.307   298.764     0.280
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    16.403   298.495    -0.161
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    12.160   298.339    -0.148
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    15.526   298.530    -0.102
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.097   294.448    -0.140
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    13.157   298.755    -0.142
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.008   292.911    -0.403
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    16.313   298.940    -0.291
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    15.261   298.623     0.131
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    15.271   298.654     0.103
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.142   294.150    -0.266
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    18.272   294.143    -0.046
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.075   293.421    -0.248
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.043   293.394    -0.231
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    15.568   298.689     0.043
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    15.240   298.644    -0.010
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    15.214   298.626     0.019
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.351   295.046    -0.244
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.291   293.155    -0.225
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    15.852   298.354    -0.208
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    12.132   298.346    -0.118
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    13.710   299.059    -0.008
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    13.327   298.807     0.188
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    11.298   299.465     0.297
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    15.333   298.753    -0.048
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    14.815   298.789    -0.093
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    14.811   298.832    -0.199
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.050   296.925    -0.098
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    15.949   298.718    -0.289
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    15.438   298.579    -0.282
END
gmt pstext -: -R $projection -F+f5p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    15.990   298.281   BTG  
    15.918   298.683   MGG  
    15.318   298.608   MDN  
    14.733   298.850   FDF  
    14.754   299.085   CRM  
    14.517   298.929   BIM  
    14.555   299.104   MVM  
    14.020   299.062   SLW  
    13.828   298.959   SLB  
    18.037   294.085   CPD  
    18.112   293.850   SJG  
    13.373   298.851   SOA  
    13.318   298.784   SVV  
    13.272   298.748   SVB  
    13.296   298.873   BHS  
    11.177   299.202   GNG  
    10.697   298.247   TCE  
    10.648   298.597   TRN  
    10.465   295.830   CUM  
    10.507   293.072   CAR  
     7.809   296.903   GUV  
     9.792   290.207   TOV  
     8.886   289.367   SDV  
    18.074   283.272   GWJ  
    18.005   283.251   HOJ  
    18.077   283.191   STH  
    16.253   298.803   SFG  
    16.030   298.320   PAG  
    13.307   298.764   RSV  
    16.403   298.495   SEG  
    12.160   298.339   GRW  
    15.526   298.530   BBL  
    18.097   294.448   MTP  
    13.157   298.755   FCV  
    18.008   292.911   MGP  
    16.313   298.940   DEG  
    15.261   298.623   DPMT 
    15.271   298.654   DBCT 
    18.142   294.150   HUMP 
    18.272   294.143   CBYP 
    18.075   293.421   CELP 
    18.043   293.394   OBIP 
    15.568   298.689   DWS  
    15.240   298.644   DFBT 
    15.214   298.626   DSHT 
    18.351   295.046   STVI 
    18.291   293.155   LRS  
    15.852   298.354   TBG  
    12.132   298.346   GRGR 
    13.710   299.059   MCLT 
    13.327   298.807   SSV  
    11.298   299.465   TOSP 
    15.333   298.753   DLPL 
    14.815   298.789   PCM  
    14.811   298.832   CXM  
    18.050   296.925   SMRT 
    15.949   298.718   MAGL 
    15.438   298.579   DSLB 
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
     5.858   -76.444   Closed circles: stations used in direct calibration
END
gmt psxy -: -R $projection -Sc -Wthick,blue  -O -K << END >> $psfile
     3.908   -75.049    -0.500
     3.908   -73.054    -0.250
END
gmt psxy -: -R $projection -Sc -Wthick,green  -K -O << END >> $psfile
     3.908   -71.344     0.100
END
gmt psxy -: -R $projection -Sc -Wthick,red  -K -O << END >> $psfile
     3.908   -69.349     0.250
     3.908   -67.354     0.500
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O << END >> $psfile
     4.913   -76.448   Station Residuals (sec.)
     2.408   -75.949   -2
     2.408   -73.849   -1
     2.408   -71.599   0
     2.408   -70.174   +1
     2.408   -68.149   +2
END
